/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucorerequesttypes
#define headerfilecmslucorerequesttypes

#include <string>
#include <vector>
#include <map>


#define WINIX_POSTTABLE_MAXSIZE 20


struct PostFile
{
	std::string filename;		// original file name
	std::string tmp_filename;	// file with content (in /tmp)
};


// parameters from get name:value
struct Param
{
	std::string name;
	std::string value;
};


// some global types used by Request class
typedef std::vector<std::string>           GetTable;
typedef std::map<std::string, std::string> PostTable;
typedef std::map<std::string, PostFile>    PostFileTable;
typedef std::map<std::string, std::string> CookieTable;
typedef std::vector<Param>                 ParamTable;



#endif
